org.eclipse.microprofile.graphql.tck.apps.superhero.model

## Enum SuperHero.ShirtSize

- java.lang.Object
- - java.lang.Enum<SuperHero.ShirtSize>
  - - org.eclipse.microprofile.graphql.tck.apps.superhero.model.SuperHero.ShirtSize

All Implemented Interfaces:
  Serializable, Comparable<SuperHero.ShirtSize>

Enclosing class:
  SuperHero

    public static enum SuperHero.ShirtSize
    extends Enum<SuperHero.ShirtSize>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HULK`
`L`
`M`
`S`
`XL`
`XXL`

### Method Summary

All Methods Static Methods Concrete Methods
`static SuperHero.ShirtSize` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SuperHero.ShirtSize[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### S

    public static final SuperHero.ShirtSize S

#### M

    public static final SuperHero.ShirtSize M

#### L

    public static final SuperHero.ShirtSize L

#### XL

    public static final SuperHero.ShirtSize XL

#### XXL

    public static final SuperHero.ShirtSize XXL

#### HULK

    public static final SuperHero.ShirtSize HULK

### Method Detail

#### values

    public static SuperHero.ShirtSize[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SuperHero.ShirtSize c : SuperHero.ShirtSize.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SuperHero.ShirtSize valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null